Grubby Data Partition
================================================

If you've found this USB stick, please get in
 touch via ericteunis@deboone.nl,
 or +31613546355.

This is the data part of this USB stick.


Installation
================================================
There should be at least 3 partitions:
 - `#1`: This data partition
 - `#2`: A Bios boot partition
 - `#3`: A simple EFI partition

There is a space of 8Gb left for temporary OS `dd`ing
between partitions `#3` and `#1`.

To install GRUB for both EFI and BIOS booting I used the following.
```bash
# these have to mounted!
DEV="/dev/sdb"
EFI_MNT="/tmp/grubby-efi"
DATA_MNT="/tmp/grubby"
# Make EFI
sudo grub-install --efi-directory="$EFI_MNT" --boot-directory="${DATA_MNT}/boot" --removable --recheck --target=x86_64-efi

# Make BIOS
sudo grub-install --boot-directory="${DATA_MNT}/boot" --removable --recheck --target=i386-pc "$DEV"

# Make Isos Directory
mkdir "${DATA_MNT}/boot"

```


Inspiration & Links
================================================
 - [GLIM](https://github.com/thias/glim)
 - [ArchWiki](https://wiki.archlinux.org/index.php/Multiboot_USB_drive)
 - [MultibootUSB](https://mbusb.aguslr.com/)
